'use strict';

const pairConfig = require('./pair-config-589dabd2.js');
const viewConfig = require('./view-config-52c16db0.js');

class TakvimAvailabilitySettingsViewConfig extends viewConfig.DvnAppViewConfig {
  static decode(json) {
    const model = Object.assign(Object.create(TakvimAvailabilitySettingsViewConfig.prototype), json);
    model.table = pairConfig.PairConfig.decode(model.table);
    return model;
  }
}

exports.TakvimAvailabilitySettingsViewConfig = TakvimAvailabilitySettingsViewConfig;
